Diskuzní fórum a databáze tipů a utilit pro AutoCAD, Inventor, Revit a další produkty Autodesk - od firmy CAD Studio [www.cadforum.cz]
Česky Slovensky English Deutsch
Přihlášení:
▶ Registrace

 právě nás čte: 2675 
RSS tipy RSS kanál - CAD tipy
RSS diskuze RSS kanál - CAD diskuze

Diskuze Diskuzní fórum, poradna

NápovědaCAD diskuze, rady, výměna zkušeností

CAD Fórum - Homepage Veřejné diskuzní fórum k CAD aplikacím - ptejte se na libovolné otázky týkající se oboru CAx, podělte se o vaše znalosti a zkušenosti s programy AutoCAD, Inventor, Revit, Fusion 360, 3ds Max a s dalšími CAD aplikacemi. Zaregistrujte se nebo se přihlašte a zašlete váš příspěvek do odpovídajícího fóra. Viz další informace o CAD Fóru. Nechcete se registrovat? Zeptejte se v naší Facebook poradně.
Fórum nenahrazuje technický support firmy CAD Studio - přímá podpora pro zákazníky funguje na helpdesk.cadstudio.cz
  FAQ FAQ  Prohledat fórum   Události   Registrovat Registrovat  Přihlásit Přihlásit

Odstranění mezer

 Odpovědět Odpovědět archiv
Autor
Chmatak Zobrazit panel
Nováček
Nováček

Přihlášen: 26.lis.2015
Lokalita: ČR (PA)
Používám:
Autocad, AcadCivil
Stav: Offline
Bodů: 6
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace Chmatak Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Téma: Odstranění mezer
    Zasláno: 08.říj.2018 v 12:05
Dobrý den,
potřeboval bych poradit, jak hromadně odstranit mezery na konci textu. Zkoušel jsem srxText, ale nedaří se mi to správně sestavit.
Zpět nahoru
johny Zobrazit panel
TOP uživatel
TOP uživatel

Přihlášen: 24.led.2006
Lokalita: ČR (JM)
Používám:
AutoCAD Civil 3D 2016
Stav: Offline
Bodů: 1299
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace johny Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 08.říj.2018 v 12:13
A google vás někdo učil použít? Zkuste to. Když se to naučíte, pak řešení najdete rychleji, než založíte nový příspěvek zde na fóru. Což vám mimochodem taky moc nejde.. vaše žádost je Návrhem, připomínkou či snad oznámením?
 
Admin: Přesunuto do správné sekce


Upravil Vladimír Michl - 08.říj.2018 v 13:25
Zpět nahoru
Chmatak Zobrazit panel
Nováček
Nováček

Přihlášen: 26.lis.2015
Lokalita: ČR (PA)
Používám:
Autocad, AcadCivil
Stav: Offline
Bodů: 6
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace Chmatak Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 08.říj.2018 v 12:23
Velmi rád se nechám poučit. Ale pro Vás to vypadá jako problém, takže děkuji...
Zpět nahoru
johny Zobrazit panel
TOP uživatel
TOP uživatel

Přihlášen: 24.led.2006
Lokalita: ČR (JM)
Používám:
AutoCAD Civil 3D 2016
Stav: Offline
Bodů: 1299
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace johny Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 08.říj.2018 v 12:52
Nemáte za co. Nevím co myslíte tím "to" v první části věty, ale neumím si představit nic co by "to" mohlo být a měl by být problémem. Určitě není.

Čili předpokládám, že jste našel co do srxtext máte vyplnit a z nějakého důvodu vám to nejde. Možná byste mohl postnou výkres s nějakolika vzorky aby se na to podíval někdo proč to nejde...

Edit: Mno, určitě koluje všude možně spousta různých utilitek... ale páč na rychlo se mi žádná nepodařila najít, tak tu jedna taková...

(defun c:TextRemoveLastChar ( / ss i ed ch)
  (if (and (not (initget 128))
   (setq ch (cond ((getkword "\nCharacter to remove <space>: "))
  (" ")))
   (setq ss (ssget (list '(0 . "*TEXT") (cons 1 (strcat "*" ch)))))
   )
    (repeat (setq i (sslength ss))
      (setq ed (entget (ssname ss (setq i (1- i)))))
      (entmod (subst (cons 1 (vl-string-right-trim ch (cdr (assoc 1 ed))))
     (assoc 1 ed)
     ed))))
  (princ)
)

text odstranit poslední mezeru znak
text remove last character space underscore



Upravil johny - 08.říj.2018 v 22:58
Zpět nahoru
Vladimír Michl Zobrazit panel
Moderátor
Moderátor
Avatar
CAD Studio s.r.o.

Přihlášen: 09.zář.2004
Lokalita: ČR (JČ)
Používám:
Dodáváme produkty Autodesk
Stav: Offline
Bodů: 17771
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace Vladimír Michl Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 08.říj.2018 v 13:31
V srxText můžete použít např. tuto konstrukci reg.výrazu:
 
Příkaz: SRXTEXT2
Search texts using [Regular expression/Exact string/Substring] <Substring>: r
Enter the searched pattern: ^(.+)( *)$
Enter the replace pattern ($1$2 for regex captures): $1
Search only in [Layer/All] <All>:
Search only [Selected/All] <All>:
Vladimír Michl (moderátor)
CAD Studio s.r.o. - www.cadstudio.cz
(podporu najdete na helpdesk.cadstudio.cz)
Zpět nahoru
Chmatak Zobrazit panel
Nováček
Nováček

Přihlášen: 26.lis.2015
Lokalita: ČR (PA)
Používám:
Autocad, AcadCivil
Stav: Offline
Bodů: 6
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace Chmatak Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 08.říj.2018 v 14:46
Děkuji mnohokrát za radu. Smile
Zpět nahoru

Pro technickou podporu CAD
kontaktujte Helpdesk

Příbuzné CAD tipy:
Tip 254:Jak se zbavit "teček" (smetí) ve výkresu?
Tip 3749:VIPJak zadat víceslovní název atributu bloku (s mezerou)?
Tip 1327:VIPJakou proměnnou nastavit mezeru jako oddělovač tisíců v kótování AutoCADu ("1 260,89")?
Tip 10732:VIPOdstranění odkazu na soubory pevnostní analýzy v Inventoru (FEA).
Tip 10622:VIPOdstranění odkazu na připojené parametry z jiného IPT souboru (iLogic)
Tip 9080:VIPJak se nejrychleji zbavit proxy objektů v DWG výkresu?


 Odpovědět Odpovědět

Přejít na fórum Oprávnění fóra Zobrazit panel



Stránka byla vygenerována za 0,660 sekund.